> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Lead: Realpage

POST https://api.propexo.com/v1/leads/realpage/
Content-Type: application/json

Create Lead: Realpage| Interface               | Method         |
| ----------------------- | -------------- |
| Prospect Management ODE | InsertProspect |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/real-page-registered-vendor/leads/create-lead-realpage

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_leads_realpage__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `last_name` (string, required) — The last name associated with the lead
- `first_name` (string, required) — The first name associated with the lead
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source
- `email_1` (string, optional) — The primary email address associated with the lead
- `phone_1` (string, optional) — Primary phone number associated with the lead
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `phone_2` (string, optional) — Secondary phone number associated with the lead
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `address_1` (string, optional) — The first address line associated with the lead
- `address_2` (string, optional) — The second address line associated with the lead
- `city` (string, optional) — The city associated with the lead
- `state` (string, optional) — The state associated with the lead
- `zip` (string, optional) — The zip code associated with the lead
- `country` (string, optional) — The country associated with the lead

## Response

### 200

Successful response

- `meta` (V1LeadsRealpagePostOutputMeta, required)
- `result` (V1LeadsRealpagePostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeadsRealpagePostOutputMeta

- `job_id` (string, required)

### V1LeadsRealpagePostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `lead_source_id` (string, required, nullable) — The Propexo unique identifier for the lead source
- `last_name` (string, required) — The last name associated with the lead
- `first_name` (string, required) — The first name associated with the lead
- `email_1` (string, required, nullable) — The primary email address associated with the lead
- `phone_1` (string, required, nullable) — Primary phone number associated with the lead
- `phone_1_type` (enum, required) — Type of the primary phone number
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the lead
- `phone_2_type` (enum, required) — Type of the secondary phone number
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `address_1` (string, required, nullable) — The first address line associated with the lead
- `address_2` (string, required, nullable) — The second address line associated with the lead
- `city` (string, required, nullable) — The city associated with the lead
- `state` (string, required, nullable) — The state associated with the lead
- `zip` (string, required, nullable) — The zip code associated with the lead
- `country` (string, required, nullable) — The country associated with the lead

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "int-987654321",
  "last_name": "Johnson",
  "first_name": "Emily"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240615-123456"
  },
  "result": {
    "integration_id": "int-987654321",
    "lead_source_id": "leadsrc-12345",
    "last_name": "Johnson",
    "first_name": "Emily",
    "email_1": "emily.johnson@example.com",
    "phone_1": "+1-555-123-4567",
    "phone_1_type": "MOBILE",
    "phone_2": "+1-555-765-4321",
    "phone_2_type": "HOME",
    "address_1": "123 Maple Street",
    "address_2": "Apt 4B",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "country": "USA"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leads/realpage/"

payload = {
    "integration_id": "int-987654321",
    "last_name": "Johnson",
    "first_name": "Emily"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leads/realpage/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"int-987654321","last_name":"Johnson","first_name":"Emily"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leads/realpage/"

	payload := strings.NewReader("{\n  \"integration_id\": \"int-987654321\",\n  \"last_name\": \"Johnson\",\n  \"first_name\": \"Emily\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leads/realpage/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"int-987654321\",\n  \"last_name\": \"Johnson\",\n  \"first_name\": \"Emily\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/leads/realpage/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"int-987654321\",\n  \"last_name\": \"Johnson\",\n  \"first_name\": \"Emily\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/leads/realpage/', [
  'body' => '{
  "integration_id": "int-987654321",
  "last_name": "Johnson",
  "first_name": "Emily"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leads/realpage/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"int-987654321\",\n  \"last_name\": \"Johnson\",\n  \"first_name\": \"Emily\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "int-987654321",
  "last_name": "Johnson",
  "first_name": "Emily"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leads/realpage/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```